Name:           eyesight
Summary:        Hawaii desktop image viewer
Version:        0.1.2
Release:        3%{?dist}
Group:          Applications/System
License:        GPLv2+
URL:            https://github.com/mauios/eyesight
Source0:        http://sourceforge.net/projects/mauios/files/hawaii/%{name}/hawaii-%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  cmake
BuildRequires:  bzip2-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  desktop-file-utils

%description
Image viewer for the Hawaii desktop.


%prep
%setup -q -n hawaii-%{name}-%{version}


%build
%cmake .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

desktop-file-install --delete-original                          \
        --dir %{buildroot}%{_datadir}/applications           \
        %{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --all-name --with-qt


%files -f %{name}.lang
%{_bindir}/eyesight
%{_datadir}/applications/eyesight.desktop
%dir %{_datadir}/eyesight
%dir %{_datadir}/eyesight/translations
# These short-named translations probably need renaming upstream, since they
# are not picked up by find_lang
%{_datadir}/eyesight/translations/??.qm
%doc COPYING
%doc README.md


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Nov 10 2013 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.1.2-1
- Update to latest version

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.1-3
- Bulk sad and useless attempt at consistent SPEC file formatting

* Tue Oct 15 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.1-2
- Use %%find_lang properly
- Clarify licence
- Remove old RPM relics

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.1-1
- Initial packaging
